<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Insert_Vehicle StructType
 * @subpackage Structs
 */
class Insert_Vehicle extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The VehicleInsert
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\VehicleInsert
     */
    public $VehicleInsert;
    /**
     * Constructor method for Insert_Vehicle
     * @uses Insert_Vehicle::setLogin()
     * @uses Insert_Vehicle::setVehicleInsert()
     * @param \StructType\Login $login
     * @param \StructType\VehicleInsert $vehicleInsert
     */
    public function __construct(\StructType\Login $login = null, \StructType\VehicleInsert $vehicleInsert = null)
    {
        $this
            ->setLogin($login)
            ->setVehicleInsert($vehicleInsert);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Insert_Vehicle
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get VehicleInsert value
     * @return \StructType\VehicleInsert|null
     */
    public function getVehicleInsert()
    {
        return $this->VehicleInsert;
    }
    /**
     * Set VehicleInsert value
     * @param \StructType\VehicleInsert $vehicleInsert
     * @return \StructType\Insert_Vehicle
     */
    public function setVehicleInsert(\StructType\VehicleInsert $vehicleInsert = null)
    {
        $this->VehicleInsert = $vehicleInsert;
        return $this;
    }
}
